local addon_name, addon_data = ...
local debug = true

core_frame = CreateFrame("Frame", addon_name .. "CoreFrame", UIParent)
core_frame:RegisterEvent("ADDON_LOADED")

local function CoreFrame_OnEvent(self, event, ...)
    local args = {...}
    if event == "ADDON_LOADED" then
        if args[1] == "RepTracker" then
            OnAddonLoaded()
		end
    end
end
--[[function GrabCurrentFactionValues()
	local CurrentZone = GetRealZoneText()
	for factionIndex = 1, GetNumFactions() do
		local name, description, standingId, bottomValue, topValue, earnedValue, atWarWith, canToggleAtWar, isHeader, isCollapsed, hasRep, isWatched, isChild, factionID = GetFactionInfo(factionIndex)
		local name1, standing1, min1, max1, value1, factionID1 = GetWatchedFactionInfo()
		if name == "Cenarion Circle" then
			CenarionCircleRepID = factionIndex
		end
		if name == "Zandalar Tribe" then
			ZandalarTribeRepID = factionIndex
		end
		if name == "Hydraxian Waterlords" then
			HydraxianWaterlordsRepID = factionIndex
		end
		if name == "Thorium Brotherhood" then
			ThoriumBrotherhoodRepID = factionIndex
		--	if debug then print("ThoriumBrotherhoodRepID = "..ThoriumBrotherhoodRepID) end
		end
		--if UnitRace("player") == "Human" or "Night Elf" or "Gnome" or "Dwarf" then
			if name == "Stormpike Guard" then
				StormpikeGuardRepID = factionIndex
			end
			if name == "The League of Arathor" then
				TheLeagueOfArathorRepID = factionIndex
			end
			if name == "Silverwing Sentinels" then
				SilverwingSentinelsRepID = factionIndex
			end
		--else --Is Horde
			if name == "The Defilers" then
				TheDefilersRepID = factionIndex
			end
			if name == "Frostwolf Clan" then
				FrostwolfClanRepID = factionIndex
			end
			if name == "Warsong Outriders" then
				WarsongOutridersRepID = factionIndex
			end
		--end
		if name == "Ironforge" then
			IronforgeRepID = factionIndex
			if debug then print("IronforgeRepID = "..IronforgeRepID) end
		end
	end
end

function CurrentFactionCheck()
    if UnitRace("player") == "Human" or "Night Elf" or "Gnome" or "Dwarf" then
        IsAlliance = 1
    else
        IsHorde = 1
    end
end
]]
core_frame:SetScript("OnEvent", CoreFrame_OnEvent)